Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: LDAP Estimated time: 0.00 hour

Target version: 1.4.0   

Resolution: Fixed   

Description

For now, the LDAP authentication does not support LDAP-filter, which can be helpful for some installation. This patch is providing

this filter, directly configurable in the web interface

Related issues:

Related to Redmine - Feature #5702: Please add ldap filters for authentication Closed 2010-06-16

Associated revisions

Revision 9044 - 2012-03-01 17:26 - Jean-Philippe Lang

Adds an optional LDAP filter (#1060).

Revision 9258 - 2012-03-24 15:07 - Jean-Philippe Lang

Fixes error message for LDAP filter (#1060).

History

#1 - 2008-04-17 15:24 - Paul Rivier

Yes, this possibility is desirable.

#2 - 2008-04-29 21:45 - Jeffrey Price

I would love to see a patch from 0.6.4 with this feature (or even 0.7 when it comes out). The above patch appears to be 0.6.3.

#3 - 2008-08-28 21:03 - Lionel Molinier

- File ldap_filter.0.7.3.x3n.patch added

I've recently updated my server to the 0.7.3 release and so my patch. I've been using it for months now and it works quite good.

I hope it will be integrated into the trunk one day. I can do the adaptation job if developers are too busy.

Thanks,

x3n

#4 - 2008-08-31 12:14 - Youssef Abou-Kewik

+1

#5 - 2011-03-23 07:29 - Toshi MARUYAMA

- Category set to LDAP

#6 - 2011-04-19 13:30 - Florian Mutter

This Patch is available since 3 Years now and still not in Redmine... Is there any chance it will be included some day? I think this feature is mandatory

for LDAP authentication.

#7 - 2011-05-06 01:13 - Florian Mutter

- File ldap_filter_r5657.patch added

- File net-ldap-0.2.2_r5657.patch added

Hey,
I adapted the patch above to the current svn version (r5657). I also added some things to prevent crashes, if no filter is supplied. I also created a

patch to update net::Ldap to the latest stable version (0.2.2). I hope you can give me some feedback on these two patches.

Greets elm

#8 - 2011-05-06 15:24 - Terence Mill

Does this support ldap groups also?

#9 - 2011-05-09 12:05 - Florian Mutter

Hey,

This Patch does allow to restrict the possible Users that are allowed to Login. It does not make any informations that are in the ldap Directory

available to redmine. You can specify a Filter As described here: http://www.selfadsi.de/ldap-filter.htm

This provides a simple method to specify a ldapgroup that is allowd to login. But it does not allow you to specify groups that will Be admins if the Login

or groups that will Be developers. For this purpose there are other patches here available. I think they can Be combined with this patch if they are

based on net::ldap which some are.

#10 - 2012-03-01 17:26 - Jean-Philippe Lang

- Tracker changed from Patch to Feature

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Target version set to 1.4.0

- Resolution set to Fixed

Feature added in r9044.

#11 - 2012-03-05 18:28 - Etienne Massip

- Status changed from Closed to Reopened

Field name translation is not hit on validation error: filter n'est pas valide.

#12 - 2012-03-24 15:07 - Jean-Philippe Lang

- Status changed from Reopened to Closed

Etienne Massip wrote:

Field name translation is not hit on validation error: filter n'est pas valide.

 Fixed in r9258.

Files

ldap_filter.x3n.patch 4.34 KB 2008-04-15 Lionel Molinier

ldap_filter.0.7.3.x3n.patch 4.17 KB 2008-08-28 Lionel Molinier

ldap_filter_r5657.patch 3.71 KB 2011-05-05 Florian Mutter

net-ldap-0.2.2_r5657.patch 355 KB 2011-05-05 Florian Mutter

Powered by TCPDF (www.tcpdf.org)

2025-05-01 2/2

https://www.redmine.org/projects/redmine/repository/svn/revisions/5657
http://www.selfadsi.de/ldap-filter.htm
https://www.redmine.org/projects/redmine/repository/svn/revisions/9044
https://www.redmine.org/projects/redmine/repository/svn/revisions/9258
http://www.tcpdf.org

